Subject: Re: Potential issue with f5e64032a799 "net: phy: fix resume handling"

From: Andrew Lunn <[email-masked]>
Date: Tue, 6 Feb 2018 13:55:07 +0100

> Maybe a better solution now would be to restore phy_resume()'s lock-
> taking behaviour, and provide a lockless __phy_resume() which can be
> used internally within phylib.  This means drivers using phy_resume()
> would see no change.  Maybe something like (untested):

Hi Russell

I was thinking the same, and have a pretty much identical untested
patch. This gets things 'fixed' and we can then later come back and
look at the overall architecture.

    Andrew